package net.moonleay.bedge.buttons.component

import dev.kord.core.behavior.interaction.response.PublicMessageInteractionResponseBehavior
import dev.kord.core.entity.Guild
import dev.kord.core.entity.User
import dev.kord.core.entity.interaction.ButtonInteraction

interface IEditButton {

    val id: String
    suspend fun onInteraction(
        interaction: ButtonInteraction,
        response: PublicMessageInteractionResponseBehavior,
        guild: Guild,
        user: User
    ) {

    }
}
